OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.HP.OcclusionTest

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetHPOcclusionTest :: MonadIO m => m Bool
- gl_HP_occlusion_test :: Bool
- gl_OCCLUSION_TEST_HP :: GLenum
- gl_OCCLUSION_TEST_RESULT_HP :: GLenum

# Extension Support

glGetHPOcclusionTest :: MonadIO m => m Bool

Is the HP_occlusion_test extension supported?

gl_HP_occlusion_test :: Bool

Is the HP_occlusion_test extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetHPOcclusionTest` in those cases instead.

# Enums

gl_OCCLUSION_TEST_HP :: GLenum

gl_OCCLUSION_TEST_RESULT_HP :: GLenum